<?php
function b3_marve_divi_library() {
	$libs = array();
	$args = array('post_type' => 'et_pb_layout', 'posts_per_page' => -1);
    $alllibrarys = get_posts($args);
    $all_ids = wp_list_pluck( $alllibrarys , 'post_title','ID' );
	if(!empty($all_ids)){
	foreach($all_ids as $key=>$val){
		$libs += [$key => esc_html__( $val, 'et_builder' )];
	}
	}else{
		$libs += [null => 'Sorry, Divi Library is empty. Create some layouts...'];
	}
	return $libs;    	
}

function b3_marvel_et_builder_get_caldera_forms() {

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	if ( is_plugin_active( 'caldera-forms/caldera-core.php' ) ) {
	
		$forms = Caldera_Forms::get_forms();
		$got_forms = array();
		if(!empty($forms)){
		foreach($forms as $form_id=>$form){
			$got_forms += [$form_id => esc_html__( $form['name'], 'et_builder' )];
		}
		}else{
			$got_forms += [null => 'Sorry, no forms have been found. Create some...'];
		}
		return $got_forms;
	}
	else{
		$got_forms = array();
		$got_forms = [null => 'Please activate Caldera Forms. It is required'];
		return $got_forms;
	}

}

function b3_marvel_et_builder_get_contact_form7() {

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	if ( is_plugin_active( 'contact-form-7/wp-contact-form-7.php' ) ) {
	
		$args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
		$cf7Forms = get_posts( $args );
		$form_ids = wp_list_pluck( $cf7Forms , 'post_title','ID' ); // Get the Forms ID in an Array 
		$got_forms = array();
		if(!empty($form_ids)){
		foreach($form_ids as $key=>$val){
			$got_forms += [$key => esc_html__( $val, 'et_builder' )];
		}
		}else{
			$got_forms += [null => 'Sorry, no forms have been found. Create some...'];
		}
		return $got_forms;
	}
	else{
		$got_forms = array();
		$got_forms = [null => 'Please activate Contact Form 7. It is required'];
		return $got_forms;
	}

}


function b3_marvel_et_builder_get_garvity_form() {

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	if ( is_plugin_active( 'gravityforms/gravityforms.php' )  ) {
	
		$forms = RGFormsModel::get_forms( null, 'title' );
		$got_forms = array();
		if(!empty($forms)){
		foreach( $forms as $form ){
			$got_forms += [$form->id  => esc_html__( $form->title, 'et_builder' )];
		}
		}else{
			$got_forms += [null => 'Sorry, no forms have been found. Create some...'];
		}
		return $got_forms;
	}
	else{
		$got_forms = array();
		$got_forms = [null => 'Please activate Gravity Forms. It is required'];
		return $got_forms;
	}

}


add_action("epanel_render_maintabs", 'add_b3_marvel_epanel_tab');

function add_b3_marvel_epanel_tab(){

  add_marvel_epanel_fields();
  ?>
  <li><a href="#wrap-marvel"><?php echo 'Marvel'; ?></a></li>
  <?php
}


add_action("et_epanel_changing_options", 'add_marvel_epanel_fields');

function add_marvel_epanel_fields(){
  global $epanelMainTabs, $themename, $shortname, $options;

  $options[] = array(
    "name" => "wrap-marvel",
    "type" => "contenttab-wrapstart",);
  $options[] = array(
    "type" => "subnavtab-start",);
	
   $options[] = array(
    "name" => "marvel-1",
    "type" => "subnav-tab",
    "desc" => esc_html__("General", $themename)
  );
  
   $options[] = array(
    "name" => "marvel-2",
    "type" => "subnav-tab",
    "desc" => esc_html__("Theme Color",$themename)
  );
  
   $options[] = array(
    "name" => "marvel-3",
    "type" => "subnav-tab",
    "desc" => esc_html__("Menu Button", $themename)
  );
  
   $options[] = array(
    "name" => "marvel-4",
    "type" => "subnav-tab",
    "desc" => esc_html__("Hamburger Menu", $themename)
  );

    $options[] = array(
    "name" => "marvel-5",
    "type" => "subnav-tab",
    "desc" => esc_html__("Preloader",$themename)
  );
  
  $options[] = array(
    "name" => "marvel-6",
    "type" => "subnav-tab",
    "desc" => esc_html__("Particleground", $themename)
  );
  
  $options[] = array(
    "type" => "subnavtab-end",);

	$options[] = array(
    "name" => "marvel-1",
    "type" => "subcontent-start",);

 $options[] = array(
	'name' => esc_html__('Fixed Header On Mobiles', $themename),
	'id' => $shortname . "_fixed_header_on_mobiles",
    'desc' => esc_html__('Fixed Header On Mobiles'),
    'std' => 'on',
    "type" => "checkbox"
   );
   
  $options[] = array(
    'name' => esc_html__('Fixed Header Logo', $themename),
    'id' => $shortname . "_marvel_logo_url",
    'desc' => '',
    'std' => get_stylesheet_directory_uri() . '/images/logo.png',
    "type" => "upload"
  );
  
  $options[] = array(
    'name' => esc_html__('Switch to Mobile Menu', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_switch_to_mobile_menu",
    'desc' => 'Switch to Mobile Menu',
    'std' => '980px',
  );
  
     $options[] = array(
    'name' => esc_html__('Mobile Nav Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_marvel_mobile_nav_background_color",
    'desc' => 'Mobile Nav Background Color',
    'std' => '#f3b200',
  );
  
     $options[] = array(
    'name' => esc_html__('Mobile Nav Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_marvel_mobile_nav_text_color",
    'desc' => 'Mobile Nav Text Color',
    'std' => '#fff',
  );
  
  $options[] = array(
    'name' => esc_html__('Read More Button Text', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_read_more_button_text",
    'desc' => 'Read More Button Text',
    'std' => 'Read More',
  );
  
	$options[] = array(
		'name' => esc_html__('Select 404 Page Layout', $themename),
		'id' => $shortname . "_404page_layout",
		'desc' => esc_html__('Select 404 Page Layout', $themename),
		'type' => 'select',
		'options' => b3_marve_divi_library(),
		'et_save_values' => true,
	 );

$options[] = array(
	'name' => esc_html__('Social Icons', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_marvel_blank',
   );
   
   $options[]  = array( "name" =>esc_html__( "Instagram Url", $themename),
                   "id" => $shortname . "_instagram_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Instagram. ",$themename) 
	);
				   
		
	 $options[]  = array( "name" =>esc_html__( "Youtube Url", $themename),
                   "id" => $shortname . "_youtube_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Youtube. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Linkedin Url", $themename),
                   "id" => $shortname . "_linkedin_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Linkedin. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Pinterest Url", $themename),
                   "id" => $shortname . "_pinterest_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Pinterest. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Tumblr Url", $themename),
                   "id" => $shortname . "_tumblr_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Tumblr. ",$themename) 
	);
	
	
	 $options[]  = array( "name" =>esc_html__( "Flikr Url", $themename),
                   "id" => $shortname . "_flikr_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Flikr. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Dribbble Url", $themename),
                   "id" => $shortname . "_dribbble_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Dribbble. ",$themename) 
	);
	
	 $options[]  = array( "name" =>esc_html__( "Vimeo Url", $themename),
                   "id" => $shortname . "_vimeo_url",
                   "std" => "",
                   "type" => "text",
                   "validation_type" => "url",
				   "desc" =>esc_html__( "Enter the URL of your Vimeo. ",$themename) 
	);
	
  $options[] = array(
    "name" => "marvel-1",
    "type" => "subcontent-end",);
	
	$options[] = array(
    "name" => "marvel-2",
    "type" => "subcontent-start",);
    
    
    $options[] = array(
    'name' => esc_html__('Theme Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_marvel_custom_elements_color",
    'desc' => 'Theme Color',
    'std' => '#f3b200',);

	
  
  $options[] = array(
    "name" => "marvel-2",
    "type" => "subcontent-end",);
	
	
	$options[] = array(
    "name" => "marvel-3",
    "type" => "subcontent-start",);
	
	 $options[] = array(
	'name' => esc_html__('Trigger Popup Form', $themename),
	'id' => $shortname . "_trigger_caldera_popup_form",
    'desc' => esc_html__('Trigger Popup Form'),
    'std' => 'on',
    "type" => "checkbox"
   );
   
    
    $options[] = array(
    'name' => esc_html__('Select Form Plugin', $themename),
    'id' => $shortname . "_trigger_select_plugin",
    'desc' => esc_html__('Select Form Plugin', $themename),
    'std' => 'caldera',
    "type" => "select",
    "options" => array(
      'caldera' => esc_html__('Caldera Form', $themename),
	  'contact_form7' => esc_html__('Contact Form 7', $themename),
	  'garvity_form' => esc_html__('Gravity Forms', $themename),
    ),
	'et_save_values' => true,
  );
   
  $options[] = array(
	'name' => esc_html__('Select Form', $themename),
	'desc' => '',
	 'id' => $shortname . "_top_menu_caldera_popup_form",
	"type" => "select",
	'options'  => b3_marvel_et_builder_get_caldera_forms(),
	'et_save_values' => true,
   );
   
$options[] = array(
	'name' => esc_html__('Select Form', $themename),
	'desc' => '',
	 'id' => $shortname . "_top_menu_contact_form7",
	"type" => "select",
	'options'  => b3_marvel_et_builder_get_contact_form7(),
	'et_save_values' => true,
   );
   
   $options[] = array(
	'name' => esc_html__('Select Form', $themename),
	'desc' => '',
	 'id' => $shortname . "_top_menu_garvity_form",
	"type" => "select",
	'options'  => b3_marvel_et_builder_get_garvity_form(),
	'et_save_values' => true,
   );
   
     $options[] = array(
    'name' => esc_html__('Button Size', $themename),
    'id' => $shortname . "_marvel_button_size",
    'desc' => esc_html__('Button Size', $themename),
    'std' => 'Regular',
    "type" => "select",
    "options" => array(
      'Small' => esc_html__('Small', $themename),
	  'Regular' => esc_html__('Regular', $themename),
	  'Large' => esc_html__('Large', $themename),
    ),
	'et_save_values' => true,
  );
  
  $options[] = array(
	'name' => esc_html__('Default Header Button', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_option',
   );
	
  $options[] = array(
    'name' => esc_html__('Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_background_color",
    'desc' => 'Background Color',
    'std' => '#f3b200',
  );
   $options[] = array(
    'name' => esc_html__('Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_text_color",
    'desc' => 'Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_border_color",
    'desc' => 'Border Color',
    'std' => '#f3b200',
  );
  
   $options[] = array(
    'name' => esc_html__('Hover Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_hover_background_color",
    'desc' => 'Hover Background Color',
    'std' => '#f3b200',
  );
   $options[] = array(
    'name' => esc_html__('Hover Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_hover_text_color",
    'desc' => 'Hover Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Hover Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_dh_button_contact_menu_hover_border_color",
    'desc' => 'Hover Border Color',
    'std' => '#f3b200',
  );
  
  
  $options[] = array(
    'name' => esc_html__('Border Radius', $themename),
    'type' => 'text',
    'id' => $shortname . "_dh_button_contact_menu_border_radius",
    'desc' => 'Border Radius',
    'std' => '1px',
  );
  
  /* $options[] = array(
    'name' => esc_html__('Padding', $themename),
    'type' => 'text',
    'id' => $shortname . "_dh_button_contact_menu_padding",
    'desc' => 'Padding',
    'std' => '0px',
  );
  $options[] = array(
	'name' => esc_html__('Note', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_padding_option',
   );*/
   $options[] = array(
	'name' => esc_html__('Fixed Header Button', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_fixed_header_option',
   );
	
  $options[] = array(
    'name' => esc_html__('Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_background_color",
    'desc' => 'Background Color',
    'std' => '#f3b200',
  );
   $options[] = array(
    'name' => esc_html__('Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_text_color",
    'desc' => 'Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_border_color",
    'desc' => 'Border Color',
    'std' => '#f3b200',
  );
  
   $options[] = array(
    'name' => esc_html__('Hover Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_hover_background_color",
    'desc' => 'Hover Background Color',
    'std' => '#f3b200',
  );
   $options[] = array(
    'name' => esc_html__('Hover Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_hover_text_color",
    'desc' => 'Hover Text Color',
    'std' => '#ffffff',
  );
  
  $options[] = array(
    'name' => esc_html__('Hover Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_fh_button_contact_menu_hover_border_color",
    'desc' => 'Hover Border Color',
    'std' => '#f3b200',
  );
  
  
  $options[] = array(
    'name' => esc_html__('Border Radius', $themename),
    'type' => 'text',
    'id' => $shortname . "_fh_button_contact_menu_border_radius",
    'desc' => 'Border Radius',
    'std' => '1px',
  );
  /* $options[] = array(
    'name' => esc_html__('Padding', $themename),
    'type' => 'text',
    'id' => $shortname . "_fh_button_contact_menu_padding",
    'desc' => 'Padding',
    'std' => '0px',
  );
  $options[] = array(
	'name' => esc_html__('Note', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_default_header_padding_option',
	
   );*/
   
  $options[] = array(
	'name' => esc_html__(' Mobile Menu Button', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_mobile_menu_option',
   );
   
  $options[] = array(
    'name' => esc_html__('Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_button_contact_menu_text_color",
    'desc' => 'Text Color',
    'std' => '#0a0a0a',
  );
	
  $options[] = array(
    'name' => esc_html__('Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_button_contact_menu_background_color",
    'desc' => 'Background Color',
    'std' => 'rgba(255,255,255,0.93)',
  );
   
  
  $options[] = array(
    'name' => esc_html__('Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_button_contact_menu_border_color",
    'desc' => 'Border Color',
    'std' => '#ffffff',
  );
  
  
  $options[] = array(
    'name' => esc_html__('Border Radius', $themename),
    'type' => 'text',
    'id' => $shortname . "_mobile_button_contact_menu_border_radius",
    'desc' => 'Border Radius',
    'std' => '2px',
  );
  
  $options[] = array(
    'name' => esc_html__('Border Width', $themename),
    'type' => 'text',
    'id' => $shortname . "_mobile_button_contact_menu_border_width",
    'desc' => 'Border Radius',
    'std' => '2px',
  );
  
  
  $options[] = array(
    "name" => "marvel-3",
    "type" => "subcontent-end",);
	
	$options[] = array(
    "name" => "marvel-4",
    "type" => "subcontent-start",);
	
	$options[] = array(
    'name' => esc_html__('Select Icon Style', $themename),
    'id' => $shortname . "_marvel_select_type",
    'desc' => esc_html__('Select Icon Style', $themename),
    'std' => '1',
    "type" => "select",
    "options" => array(
      '1' => esc_html__('Icon One', $themename),
	  '2' => esc_html__('Icon Two', $themename),
	  '3' => esc_html__('Icon Three', $themename),
	  '4' => esc_html__('Icon Four', $themename),
    ),
	'et_save_values' => true,
  );
  
  $options[] = array(
    'name' => esc_html__('Select Animation Type', $themename),
    'id' => $shortname . "_marvel_select_style",
    'desc' => esc_html__('Select Animation Type', $themename),
    'std' => '1',
    "type" => "select",
    "options" => array(
      '1' => esc_html__('Animation One', $themename),
	  '2' => esc_html__('Animation Two', $themename),
	  '3' => esc_html__('Animation Three', $themename),
	  '4' => esc_html__('Animation Four', $themename),
	  '5' => esc_html__('Animation Five', $themename),
    ),
	'et_save_values' => true,
  );
  
  $options[] = array(
    'name' => esc_html__('Icon Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_select_default_color",
    'desc' => 'Icon Color',
    'std' => '#f7af11',
  );
  
  $options[] = array(
    'name' => esc_html__('Active Icon Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_mobile_active_default_color",
    'desc' => 'Active Icon Color',
    'std' => '#ffffff',
  );
	
	$options[] = array(
    "name" => "marvel-4",
    "type" => "subcontent-end",);
	
	
	$options[] = array(
    "name" => "marvel-5",
    "type" => "subcontent-start",);
	
	$options[] = array(
	'name' => esc_html__('Preloader', $themename),
	'id' => $shortname . "_marvel_preloader_option",
    'desc' => esc_html__('Prealoder ENABLE/DISABLE',$themename),
    'std' => 'on',
    "type" => "checkbox"
   );
   
   
    $options[] = array(
    'name' => esc_html__('Preloader Image Size', $themename),
    'id' => $shortname . "_marvel_preloader_image_size",
    'desc' => esc_html__('Preloader Image Size', $themename),
    'std' => '70px',
    "type" => "select",
    "options" => array(
      '70px' => esc_html__('Regular', $themename),
	  '100px' => esc_html__('Large', $themename),
    ),
	'et_save_values' => true,
  );
  
  $options[] = array(
	'name' => esc_html__('Preloader Images', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_preloader_option',
   );
  
  
  $options[] = array(
    'name' => esc_html__('Preloader Image Uploader', $themename),
    'id' => $shortname . "_marvel_preloader_custom_image",
    'desc' => esc_html__('You can Upload your Desire image.Image size will be maximum width: 200px and maximum height : 200px', $themename),
    'std' => '',
    "type" => "upload"
  );
  
	 $options[] = array(
    'name' => esc_html__('Preloader background color', $themename),
    'id' => $shortname . "_marvel_preloader_background_color",
    'desc' => esc_html__('Please Select preloader background color here. You can also add html HEX color code.', $themename),
    'std' => '#fefefe',
    "type" => "et_color_palette"
  );
  
  
  $options[] = array(
    'name' => esc_html__('Preloader Effects', $themename),
    'id' => $shortname . "_marvel_preloader_effects",
    'desc' => esc_html__('Preloader Effects.', $themename),
    'std' => 'fadeOut',
    "type" => "select",
    "options" => array(
      'fadeOut' => esc_html__('FadeOut ', $themename),
      'slideUp' => esc_html__('SlideUp', $themename),
    ),
	'et_save_values' => true,
  );
  
  
   $options[] = array(
    'name' => esc_html__('Preloader Delay time', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_preloader_delay_time",
    'desc' => esc_html__('Please put delay time, only use number. Default value is 350. Example: 350', $themename),
    'std' => '350',
  );
  
  $options[] = array(
    'name' => esc_html__('Body Delay time', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_preloader_body_delay_time",
    'desc' => esc_html__('Please put delay time, only use number. Default value is 350. Example: 350', $themename),
    'std' => '350',
  );
  
   $options[] = array(
    'name' => esc_html__('Preloader body Opacity', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_preloader_body_opacity",
    'desc' => esc_html__('Please put Opacity, only use number. Default value is 1. Example: .8 You can learn more about opacity', $themename),
    'std' => '1',
  );
  
  
   $options[] = array(
    'name' => esc_html__('Preloader Fadeout Speed', $themename),
    'id' => $shortname . "_marvel_preloader_fadeout_speed",
    'desc' => esc_html__('Preloader Fadeout Speed.', $themename),
    'std' => 'fast',
    "type" => "select",
    "options" => array(
      'fast' => esc_html__('Fast', $themename),
      'slow' => esc_html__('Slow', $themename),
    ),
	'et_save_values' => true,
  );
  
  
  
	 $options[] = array(
    "name" => "marvel-5",
    "type" => "subcontent-end",);
	
	
	
	$options[] = array(
    "name" => "marvel-6",
    "type" => "subcontent-start",);

  $options[] = array(
	'name' => esc_html__('How to use', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_marvel_desc_option',
   );

 	$options[] = array(
    'name' => esc_html__('Dot Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_marvel_dot_color",
    'desc' => 'Background Color',
    'std' => '#f3b200',
  );
   $options[] = array(
    'name' => esc_html__('Line Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_marvel_line_color",
    'desc' => 'Text Color',
    'std' => '#f3b200',
  );
  
   $options[] = array(
    'name' => esc_html__('Line Width', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_line_width",
    'desc' => 'Line Width',
    'std' => '1',
  );
  
    $options[] = array(
    'name' => esc_html__('Bulb Size', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_bulb_size",
    'desc' => 'Bulb Size',
    'std' => '5',
  );
  
  $options[] = array(
    'name' => esc_html__('Speed', $themename),
    'type' => 'text',
    'id' => $shortname . "_marvel_speed",
    'desc' => 'Speed',
    'std' => '2',
  );

$options[] = array(
    'name' => esc_html__('Interactivity', $themename),
    'type' => 'checkbox',
    'id' => $shortname . "_marvel_interactivity" ,
    'desc' => 'Interactivity',
	'std' => 'off'
  );
    
  

  $options[] = array(
    "name" => "marvel-6",
    "type" => "subcontent-end",);
	
	
  $options[] = array(
    "name" => "wrap-marvel",
    "type" => "contenttab-wrapend",);
}


function et_marvel_desc_option(){
  echo "<p>Add below ID on Section module</strong></p><br/>";
  echo "<p><strong>ID</strong> : 'marvel-particles-js'</p>";
}
function et_default_header_option(){}
function et_fixed_header_option(){}
function et_mobile_menu_option(){}
function et_default_header_padding_option(){ echo "Add paddings '(top, right, bottom, and left)' Example : 50px 30px 50px 80px<br/><br/><br/><br/><br/><br/>";}

function et_preloader_option(){

// Store layouts views in array
$preloader_images = array(
	'preloader_images1' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader1.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader1.gif'
	),
	'preloader_images2' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader2.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader2.gif'
	),	
	'preloader_images3' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader3.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader3.gif'
	),	
	'preloader_images4' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader4.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader4.gif'
	),	
	'preloader_images5' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader5.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader5.gif'
	),	
	'preloader_images6' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader6.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader6.gif'
	),	
	'preloader_images7' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader7.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader7.gif'
	),	
	'preloader_images8' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader8.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader8.gif'
	),	
	'preloader_images9' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader9.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader9.gif'
	),	
	'preloader_images10' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader10.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader10.gif'
	),	
	'preloader_images11' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader11.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader11.gif'
	),	
	'preloader_images12' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader12.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader12.gif'
	),	
	'preloader_images13' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader13.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader13.gif'
	),	
	'preloader_images14' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader14.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader14.gif'
	),	
	'preloader_images15' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader15.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader15.gif'
	),	
	'preloader_images16' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader16.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader16.gif'
	),	
	'preloader_images17' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader17.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader17.gif'
	),	
	'preloader_images18' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader18.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader18.gif'
	),	
	'preloader_images19' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader19.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader19.gif'
	),	
	'preloader_images20' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader20.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader20.gif'
	),	
	'preloader_images21' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader21.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader21.gif'
	),	
	'preloader_images22' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader22.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader22.gif'
	),	
	'preloader_images23' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader23.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader23.gif'
	),	
	'preloader_images24' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader24.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader24.gif'
	),	
	'preloader_images25' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader25.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader25.gif'
	),	
	'preloader_images26' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader26.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader26.gif'
	),	
	'preloader_images27' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader27.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader27.gif'
	),	
	'preloader_images28' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader28.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader28.gif'
	)
	
	
);

$gt_preloader_images = get_option( 'divi_marvel_preloader_images' ) ;
?>

	<?php
	 foreach( $preloader_images as $activate ) : ?>
			<div style="margin-right:50px; display: inline-block; line-height: 70px;">
			<input type="radio"  name="divi_marvel_preloader_images" value="<?php esc_attr_e( $activate['value'] ); ?>" <?php checked( $gt_preloader_images, $activate['value'] ); ?>  class="customradio"/>
			<label for="<?php echo $activate['value']; ?>"><img src="<?php echo $activate['img']; ?>"  width="70" alt="preloader"/></label>
			</div>
	<?php endforeach;?>

<?php }

add_action( 'wp_ajax_save_epanel', 'et_epanel_save_callback_new' );

function et_epanel_save_callback_new( $source ){
	update_option('divi_marvel_preloader_images',$_POST['divi_marvel_preloader_images']);
	
	$old_value_theme_color = et_get_option('divi_marvel_custom_elements_color','#f3b200');
	if ( $_POST['divi_marvel_custom_elements_color'] != '' ){$divi_marvel_theme_color = $_POST['divi_marvel_custom_elements_color'];}else{ $divi_marvel_theme_color = "#f3b200";}
	if ( $divi_marvel_theme_color != $old_value_theme_color ){
			
			et_update_option('primary_nav_dropdown_line_color', $divi_marvel_theme_color);
			
			et_update_option('all_buttons_bg_color_hover', $divi_marvel_theme_color);
			et_update_option('all_buttons_bg_color', $divi_marvel_theme_color);
			et_update_option('all_buttons_border_color', $divi_marvel_theme_color);
			et_update_option('all_buttons_border_color_hover', $divi_marvel_theme_color);
			
			et_update_option('accent_color', $divi_marvel_theme_color);
			et_update_option('link_color', $divi_marvel_theme_color);
			
	}
}




// Adding Preloader options css

function marvel_custom_preloader_option_css(){ 

if( et_get_option('divi_marvel_preloader_option') != '' ){
	$divi_marvel_preloader_option = et_get_option('divi_marvel_preloader_option');
}else{
	$divi_marvel_preloader_option = 'on';
}
if( $divi_marvel_preloader_option == 'on' ){

 $divi_marvel_preloader_images = get_option('divi_marvel_preloader_images');
 $divi_marvel_preloader_custom_image = et_get_option('divi_marvel_preloader_custom_image');
 $divi_marvel_preloader_background_color = et_get_option('divi_marvel_preloader_background_color');
 $divi_marvel_preloader_effects = et_get_option('divi_marvel_preloader_effects');
 $divi_marvel_preloader_delay_time = et_get_option('divi_marvel_preloader_delay_time');
 $divi_marvel_preloader_body_delay_time = et_get_option('divi_marvel_preloader_body_delay_time');
 $divi_marvel_preloader_body_opacity = et_get_option('divi_marvel_preloader_body_opacity');
 $divi_marvel_preloader_fadeout_speed = et_get_option('divi_marvel_preloader_fadeout_speed');
 
 if ( $divi_marvel_preloader_custom_image !='' || $divi_marvel_preloader_images!= '' ){
 		
		if($divi_marvel_preloader_custom_image != '' ){
			$loader_url = $divi_marvel_preloader_custom_image;
		} else { 
			$loader_url = $divi_marvel_preloader_images;
		}
		
 }else{
 		$loader_url = get_stylesheet_directory_uri()."/assets/img/preloader/preloader12.gif";
 }
 $preloader_image_size = et_get_option( 'divi_marvel_preloader_image_size', '70px' );
 ?>
	
	<style type="text/css">
		.preloader .status {
			width: <?php echo $preloader_image_size;?> !important;
			height: <?php echo $preloader_image_size;?> !important;
			background-image:url(<?php echo $loader_url; ?>); /* path to your loading animation */
		}
		.preloader{
			background-color: <?php echo $divi_marvel_preloader_background_color; ?>; /* change if the mask should have another color then white */
			opacity: <?php echo $divi_marvel_preloader_body_opacity; ?>;
		}
		
	</style>
<?php 
}
	
}
add_action('wp_head' , 'marvel_custom_preloader_option_css');


// Adding Preloader Active jQuery
function marvel_preloader_js(){ 

if( et_get_option('divi_marvel_preloader_option') != '' ){
	$divi_marvel_preloader_option = et_get_option('divi_marvel_preloader_option');
}else{
	$divi_marvel_preloader_option = 'on';
}

if( $divi_marvel_preloader_option == 'on' ){	

 $divi_marvel_preloader_images = get_option('divi_marvel_preloader_images');
 $divi_marvel_preloader_custom_image = et_get_option('divi_marvel_preloader_custom_image');
 $divi_marvel_preloader_background_color = et_get_option('divi_marvel_preloader_background_color');
 $divi_marvel_preloader_effects = et_get_option('divi_marvel_preloader_effects','fadeOut');
 $divi_marvel_preloader_delay_time = et_get_option('divi_marvel_preloader_delay_time',350);
 $divi_marvel_preloader_body_delay_time = et_get_option('divi_marvel_preloader_body_delay_time',350);
 $divi_marvel_preloader_body_opacity = et_get_option('divi_marvel_preloader_body_opacity',1);
 $divi_marvel_preloader_fadeout_speed = et_get_option('divi_marvel_preloader_fadeout_speed','fast');
?>

<script type="text/javascript">
	jQuery(window).load(function(){	
		jQuery('.status').fadeOut('<?php echo $divi_marvel_preloader_fadeout_speed; ?>'); // will first fade out the loading animation
		jQuery('.preloader').delay(<?php echo $divi_marvel_preloader_delay_time; ?>).<?php echo $divi_marvel_preloader_effects; ?>('<?php echo $divi_marvel_preloader_fadeout_speed; ?>'); // will fade out the white DIV that covers the website.
		jQuery('.home').delay(<?php echo $divi_marvel_preloader_body_delay_time; ?>).css({'overflow':'visible'});
	})
</script>

<?php }
	
}
add_action('wp_footer' , 'marvel_preloader_js');
function et_marvel_blank(){ }
?>